import ChartView from '../../view/Chart.js';
import VolPathSeriesModel from './volPathSeries.js';
import GlobalModel from '../../model/Global.js';
import ExtensionAPI from '../../core/ExtensionAPI.js';
declare class VolPathView extends ChartView {
    static readonly type = "volPath";
    readonly type = "volPath";
    private _progressiveEls;
    render(seriesModel: VolPathSeriesModel, ecModel: GlobalModel, api: ExtensionAPI): void;
    _renderNormal(seriesModel: VolPathSeriesModel): void;
    _renderRect(seriesModel: VolPathSeriesModel): void;
    _renderUnBlRect(seriesModel: VolPathSeriesModel): void;
    _renderVaLine(seriesModel: VolPathSeriesModel): void;
    remove(ecModel: GlobalModel): void;
    _clear(): void;
}
export declare function getFormatVol(vol?: number): string;
export default VolPathView;
